using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IPatientCarePlanRepository : IMongoRepository<PatientCarePlan>
{
    Task<List<PatientCarePlan>> FindByPatientId(ObjectId patientId);
    Task<List<PatientCarePlan>> FindByUserId(ObjectId userId);
    Task<List<PatientCarePlan>> FindAll();
    Task UpdateManyObjectId(string patientid, ObjectId patientId, ObjectId oldId);
}